/* Improve spacing for all titular dropdowns */
.titleDD {
    margin-top: 2px;
}


/* Stylize small multiple death clock titles and text. Set consistent height for the title element so that vertical spilling does not occur */
.sm-mult-death-clock-div {
    height: 450px;
}

.sm-mult-death-clock-title {
    margin-top: 30px;
    margin-bottom: 0px;
    font-weight: bold;
    text-align: center;
    /*height: 40px;*/
}

/*.sm-mult-death-clock-text {*/
.sm-mult-death-clocks-en .sm-mult-death-clock-text {
    text-align: center;
    text-anchor: middle;
    font-size: 16px;
}

.sm-mult-death-clocks-fr .sm-mult-death-clock-text {
    text-align: center;
    text-anchor: middle;
    font-size: 14px;
}

.main-clock-text {
    text-align: center;
    text-anchor: middle;
    font-size: 20px;
}

/* Also stylize the text in the main death clock */
/*.death-clock-text-deaths-year, .death-clock-text-deaths-today {*/
.sm-mult-death-clocks-en .death-clock-text-deaths-year, .sm-mult-death-clocks-en .death-clock-text-deaths-today {
    font-size: 18px;
    font-weight: bold;
}

.sm-mult-death-clocks-fr .death-clock-text-deaths-year, .sm-mult-death-clocks-fr .death-clock-text-deaths-today {
    font-size: 16px;
    font-weight: bold;
}

.main-clock-text-deaths-year, .main-clock-text-deaths-today {
    font-size: 22px;
    font-weight: bold;
}


/* Stylize modular graph titles and labels */
svg .titles {
    font-size: 15px;
}

svg .bar-label {
    font-size:10px;
}


/* Tool tip styling */
div.tooltip {
    background-color: white;
    color: black;
    border: 1px solid black;
    border-radius: 5px;
    padding: 10px;
    position: fixed;
    /*min-width: 100px;*/
    max-width: 200px;
    font-size: 20px;
    
    /*display:none !important;*/
    /*opacity:0 !important;*/
    
    pointer-events:none !important;
}


/* Styling for mathematical equations, as needed */
.equationNotation {
    margin:10px 0px;
    display:flex;
    justify-content:center;
    
}

/* Position and stylize button for showing lienar regression visualization */
.lrVizButton {
    position: absolute;
    top: 70px;
    right: 20px;
    background-color: #26374A;
}


/* Style the small linear regression graphs */
.lrDiv svg .titles {
    font-size: 20px;
}
.lrDiv svg .axes .tick {
    font-size: 16px;
}
.lrDiv .legend-text {
    font-size: 14px;
}


/* Style the tables for the small multiple LR graphs */
.smMultTableDiv {
    max-height: 395px;
    overflow-y: scroll;
}


/* Style the manual legend for the small multiples */
.lrLegendLI {
    display: inline-block;
    margin-right: 15px;
    margin-left: 15px;
    text-align: left;
    cursor: auto;
    opacity: 1;
}

.lrLegendLI div {
    display: grid;
    grid-template-columns:
    20px auto;
}

.lrLegendLI div svg {
    position: relative;
    top: 50%;
    transform: translate(0px, -9px);
}

.lrLegendLI svg line {
    stroke-dasharray: 0;
}

.lrLegendLI span {
    margin-left: 10px;
}

